Subject: RE: -DDATE start giving error with gcc-3.2.3
From: "Robert McNulty Junior" <[email-masked]>
To: "Nitin Gupta" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 22 Nov 2002 18:30:17 -0600

OK. I see.

-----Original Message-----
From: Nitin Gupta [mailto:[email-masked]]
Sent: Friday, November 22, 2002 6:09 PM
To: Robert McNulty Junior
Cc: [email-masked]
Subject: Re: -DDATE start giving error with gcc-3.2.3

This is the gcc which came with latest cygwin

gcc version 3.2 20020927 (prerelease)

Sorry not 3.2.3 but 3.2-3

Robert McNulty Junior wrote:

>What's gcc 3.2.3? Do you mean gcc 3.2.1? That's the latest gcc.
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]]On Behalf
>Of Nitin Gupta
>Sent: Friday, November 22, 2002 5:23 PM
>To: [email-masked]
>Subject: -DDATE start giving error with gcc-3.2.3
>
>
>Hi,
>
>If I compiled following code with -DDATE="Wed Nov 22", it compiled fine
>using gcc-2.95, but when I updated my cygwin recently, it gives parse
>errors using gcc-3.2.3 (which, I think it should)
>
>#include <w32api/windows.h>
>#include <stdio.h>
>typedef double DATE;
>main(){
>
>printf ("Hello World!\n");
>}
>
>Looks like wtypes.h also has DATE defined. But, it should have given me
>error earlier also, as wtypes had this definition earlier also.
>
>Was this a gcc bug that got fixed in gcc-3.2.3? or is there anything else
>
>Thanks,
>Nitin
>
>
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/
>
>
>
>
>
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/